# selenium.webdriver.common.proxy

The Proxy implementation.

Classes

`Proxy`([raw]) | Proxy contains information about proxy type and necessary proxy settings.
`ProxyType`() | Set of possible types of proxy.
`ProxyTypeFactory`() | Factory for proxy types.

class selenium.webdriver.common.proxy.ProxyTypeFactory

  Factory for proxy types.

  static make(ff_value, string)

class selenium.webdriver.common.proxy.ProxyType

  Set of possible types of proxy.

  Each proxy type has 2 properties: ‘ff_value’ is value of Firefox profile preference, ‘string’ is id of proxy type.

  DIRECT = {'ff_value': 0, 'string': 'DIRECT'}
  MANUAL = {'ff_value': 1, 'string': 'MANUAL'}
  PAC = {'ff_value': 2, 'string': 'PAC'}
  RESERVED_1 = {'ff_value': 3, 'string': 'RESERVED1'}
  AUTODETECT = {'ff_value': 4, 'string': 'AUTODETECT'}
  SYSTEM = {'ff_value': 5, 'string': 'SYSTEM'}
  UNSPECIFIED = {'ff_value': 6, 'string': 'UNSPECIFIED'}
  classmethod load(value)

class selenium.webdriver.common.proxy.Proxy(raw=None)

  Proxy contains information about proxy type and necessary proxy settings.

  Creates a new Proxy.

  Args:

    - raw: raw proxy data. If None, default class values are used.

  proxyType = {'ff_value': 6, 'string': 'UNSPECIFIED'}
  autodetect = False
  ftpProxy = ''
  httpProxy = ''
  noProxy = ''
  proxyAutoconfigUrl = ''
  socksProxy = ''
  socksUsername = ''
  socksPassword = ''
  socksVersion = None
  ssl_proxy

    Gets and Sets ssl_proxy

    ## Usage

    - Get

        - self.ssl_proxy

    - Set

        - self.ssl_proxy = value

    ## Parameter

    value: str

  ftp_proxy

    Gets and Sets ftp_proxy

    ## Usage

    - Get

        - self.ftp_proxy

    - Set

        - self.ftp_proxy = value

    ## Parameters

    value: str

  http_proxy

    Gets and Sets http_proxy

    ## Usage

    - Get

        - self.http_proxy

    - Set

        - self.http_proxy = value

    ## Parameters

    value: str

  no_proxy

    Gets and Sets no_proxy

    ## Usage

    - Get

        - self.no_proxy

    - Set

        - self.no_proxy = value

    ## Parameters

    value: str

  proxy_autoconfig_url

    Gets and Sets proxy_autoconfig_url

    ## Usage

    - Get

        - self.proxy_autoconfig_url

    - Set

        - self.proxy_autoconfig_url = value

    ## Parameter

    value: str

  sslProxy = ''
  auto_detect

    Gets and Sets auto_detect

    ## Usage

    - Get

        - self.auto_detect

    - Set

        - self.auto_detect = value

    ## Parameters

    value: str

  socks_proxy

    Gets and Sets socks_proxy

    ## Usage

    - Get

        - self.sock_proxy

    - Set

        - self.socks_proxy = value

    ## Parameter

    value: str

  socks_username

    Gets and Sets socks_password

    ## Usage

    - Get

        - self.socks_password

    - Set

        - self.socks_password = value

    ## Parameter

    value: str

  socks_password

    Gets and Sets socks_password

    ## Usage

    - Get

        - self.socks_password

    - Set

        - self.socks_password = value

    ## Parameter

    value: str

  socks_version

    Gets and Sets socks_version

    ## Usage

    - Get

        - self.socks_version

    - Set

        - self.socks_version = value

    ## Parameter

    value: str

  property proxy_type

    Returns proxy type as ProxyType.

  to_capabilities()